1. A breve aggiorneremo la piattaforma di Reboot per risolvere alcuni problemi con i plug-in, quindi chiediamo ancora un po' di pazienza, Lo staff di Reboot

Hakchi2 o Hakchi2 CE

Discussione in 'SNES / NES / Famicom' iniziata da fpmpaolo, 12 Lug 2018.

  1. fpmpaolo

    fpmpaolo Livello 2

    Iscritto:
    27 Feb 2018
    Messaggi:
    28
    Like ricevuti:
    8
    Salve a tutti, finalmente dopo un inverno passato tra lavoro e un altro progetto, posso finalmente tornare a dedicarmi ai miei piccoli NES e SNES.
    Ho visto che sono stati aggiunti altri emu ma soprattutto hanno implementato tale Hakchi2 CE.
    Qualcuno lo ha già usato?
    In cosa si differenzia da Hakchi2 "normale"?

    Il mio progetto è quello di avere due "stazioni di gioco" che emulino tutto ciò che si riesce ad emulare (Amiga compreso - l'altro mio progetto invernale) usando la chiavetta USB e l'adattatore OTG.

    Tra l'altro SE NON HO CAPITO MALE con Hakchi2 CE esiste la possibilità di lasciare nei mini i giochi "originali" e mettere il resto nella USB, cosa che sino a questo inverno ancora non era possibile

    Mi confermate?

    Un saluto al mitico @student
     
    #1
  2. student

    student Staff Livello 43 Staff

    Iscritto:
    30 Ago 2015
    Messaggi:
    4.440
    Like ricevuti:
    4.519
    Ciao ! Purtroppo non ho potuto testare la versione CE ma possi dirti che alcune sue funzioni non sono comaptibili con il "vecchio" Hakchi2 quindi se decidi di utilizzarlo ti consiglio di resettare tutto alle condizioni di fabbrica e provvedere a seguire le istruzioni che trovi sul thread di gbatemp.
    GLi updates sono a carico dell'utente chiamato KMFDManic.
     
    #2
  3. fpmpaolo

    fpmpaolo Livello 2

    Iscritto:
    27 Feb 2018
    Messaggi:
    28
    Like ricevuti:
    8
    Si si, avevo letto qualcosa da qualche parte al riguardo.
    Infatti sto resettando i due mini, poi disinstallo e pulisco tutti i file del "vecchio" Hakci2 e ricomincio da capo
     
    #3
  4. MircoLeo

    MircoLeo Livello 2

    Iscritto:
    9 Lug 2018
    Messaggi:
    34
    Like ricevuti:
    2
    Hakchi Ce 1.2.5 al momento supporta tutti i mini nes messi in commercio da giugno 2018
    le versioni di Hakchi 2.30 o precedenti supportano tutti i mini nes e mini snes antecedenti al periodo di vendita di giugno 2018

    Hakchi Ce 1.2.5 e' una versione aggiornata dei precedenti , il quale essendo parallelo al progetto originale, o meglio per la piu' comune usata versione 2.30, la voce "Ce" in questa versione sta per "comunity edition" ; dove la comuntia' su vari forum ha portato a porre delle modifiche per ovviare al problema MD5 che molti utenti hanno riscontrato nell'uso di altre versioni , le quali sono state acquistate dall'immissione sul mercato delle nuove mini console.

    Attualmente per coloro che hanno acquistato la mini nes o il mini snes prima di giugno 2018 possono tranquillamente utitlizzare Hakchi 2.30 o precedenti senza problemi, mentre per chi come me lo ha acquistato a giugno, poiche' non era piu' in commercio, dovra' usare la versione Hakchi Ce 1.2.5 per poter procedere alla modifica della console

    Per il mini snes invece puo' utilizzare anche l'altra versione di Hakchi che non ci sono problemi, purtroppo con le nuove mini nes immesse sul mercato hanno aggiornato il kernel per cercare di ovviare alla possibilita' di modificarle , l'hakchi 1.2.5 e' stato aggiornato per poter proseguire alla modifica come si faceva con le precedenti versioni
     
    #4
  5. fpmpaolo

    fpmpaolo Livello 2

    Iscritto:
    27 Feb 2018
    Messaggi:
    28
    Like ricevuti:
    8
    Scusami.
    Dove hai letto del mese di acquisto?
    Perchè io ho comprato tutto l'anno scorso...con Hakchi CE ieri sera ho installato Wolf3D su miniSNES.
    Invece su miniNES Wolfenstein non funziona.
     
    #5
  6. MircoLeo

    MircoLeo Livello 2

    Iscritto:
    9 Lug 2018
    Messaggi:
    34
    Like ricevuti:
    2

    Su github e reddit dove gli stessi sviluppatori hanno il loro thread aperto per anomalie e rilascio degli aggiornamenti del programma, su Google trovi tutto in merito


    Wolf 3D devi vedere l'estensione del file se compatibile con una delle due console, per mini NES il file del zip al suo interno deve avere nes come estensione altrimenti non funziona
     
    #6
  7. fpmpaolo

    fpmpaolo Livello 2

    Iscritto:
    27 Feb 2018
    Messaggi:
    28
    Like ricevuti:
    8
    quindi posso lasciar perdere Hakchi2 CE ?
     
    #7
  8. MircoLeo

    MircoLeo Livello 2

    Iscritto:
    9 Lug 2018
    Messaggi:
    34
    Like ricevuti:
    2
    se hai fatto la modifica con questa versione no, perche' se passi ad utilizzare la versione 2.30 non ti aggiunge le rom e di conseguenza devi riflhassare il kernel originale e fare di nuovo il flash kernel modificato con la versione 2.30 per potrerla utilizzare
     
    #8
  9. fpmpaolo

    fpmpaolo Livello 2

    Iscritto:
    27 Feb 2018
    Messaggi:
    28
    Like ricevuti:
    8
    scusa, non ti seguo.
    Fermo restando che prima di disinstallare Hakchi "normale", ho riportato allo stato di fabbrica entrambe le console...
    ADESSO che sono totalmente resettate posso usare Hakchi CE in entrambe?
     
    #9
  10. MircoLeo

    MircoLeo Livello 2

    Iscritto:
    9 Lug 2018
    Messaggi:
    34
    Like ricevuti:
    2

    li puoi usare si ma se poi decidi di passare ad utlizzare la versione non CE dopo che hai modificato con CE non avrai l'aggiunta delle rom perche' l aversione non CE non riconosce la modifica fatta con CE

    in pratica se usi la versione CE devi continuare ad usare la versione CE
    se usi la versione non CE , 2.30, devi continuare ad usare la versione non CE , 2.30.

    secondo me poiche' le hai comprate prima che aggiornassero il kernel con la nuova vendita puoi tranquillamente usare la versione 2.30 e non hai il problema MD5, in ogni caso puoi usare quello che piu' ti aggrada e proseguire al'utilizzo di quella versione che usi e succevvisi aggiornamenti di tale versione.
     
    #10
  11. student

    student Staff Livello 43 Staff

    Iscritto:
    30 Ago 2015
    Messaggi:
    4.440
    Like ricevuti:
    4.519
    E'possibile leggere esattamente dove viene spiegata questa incompatibilità del kernel con la vecchia versione di hakchi2 ? Non sono riuscito a trovarla.
    In realtà il fatto che un kernel aggiornato non venga riconosciuto è cosa normale (l'md5 non è contenuto nel programma vecchio perchè non esisteva ancora quando è stato compilato) ma che questo implichi l'incompatibilità è un altro discorso che vorrei approfondire. Di solito basta semplicemente andare avanti con l'installazione del vecchio hakchi2 e tutto funziona normalmente...
     
    #11
  12. MircoLeo

    MircoLeo Livello 2

    Iscritto:
    9 Lug 2018
    Messaggi:
    34
    Like ricevuti:
    2

    se fai la modifica del nuovo mini nes in vendita attualmente dal 2018 con la versione hakchi 2.30 hai errore MD5 e poi quando aggiungi le rom hai il softbrick

    https://github.com/ClusterM/hakchi2/issues/922

    https://www.reddit.com/r/miniSNESmods/comments/8s8smj/2_new_nes_classics_june_2018_kernel_dump_md5/

    potrei aggiungere altri link

    lo stesso problema lo ha avuto un'altro utente , legolas119 ; qui al quale via teamviewer glielo ho risolto e lui stesso puo' testimoniare la problematica poiche' ha pure aperto un tread in merito a questo problema

    pure su discord se ne parla in merito alle nuove console mini nes 2018 su questo problema, basta cercare sul web e ci sono diversi forum e tread che ne parlano con le varie soluzioni

    https://gbatemp.net/threads/hakchi2-nes-mini-very-simple-pimp-tool.456256/page-919

    e' solo un'ultima pagina in merito
     
    #12
  13. fpmpaolo

    fpmpaolo Livello 2

    Iscritto:
    27 Feb 2018
    Messaggi:
    28
    Like ricevuti:
    8
    io voglio usare solo la versione CE in entrambi i dispositivi, perchè voglio mettere un nuovo boot,
    retroarch, wolfenstein, etc.
    La mia domanda è:
    Ho miniNES e miniSNES allo stato di fabbrica, con kernel del 2017.
    posso usare Hakchi2 CE?
     
    #13
  14. MircoLeo

    MircoLeo Livello 2

    Iscritto:
    9 Lug 2018
    Messaggi:
    34
    Like ricevuti:
    2

    si puoi

    fatti sempre il dump del kernel originale e fai tutte le mod che vuoi
     
    #14
  15. fpmpaolo

    fpmpaolo Livello 2

    Iscritto:
    27 Feb 2018
    Messaggi:
    28
    Like ricevuti:
    8
    perfetto!

    Altra domanda.
    Se un giorno vorrò tornare ad hakchi2 normale, PRIMA PERO' PORTO TUTTO ALLO STATO DI FABBRICA KERNEL 2017, posso farlo?
     
    #15
Sto caricando...

Condividi questa Pagina